# BufferedReader Class Reference
[Various accompanying utilities]

Inheritance diagram for BufferedReader:
[legend]

List of all members.

## Public Member Functions

| __construct (Reader $in)
| close ()
| isEof ()
| markSupported ()
| mark ()
| reset ()
| available ()
| read ($count)

## Static Public Member Functions

static | create (Reader $in)

## Private Member Functions

| ensureOpen ()

## Private Attributes

| $in = null
| $closed = false
| $buffer = null
| $bufferLength = 0
| $position = 0
| $markPosition = null

## Detailed Description

Definition at line 15 of file BufferedReader.class.php.

## Constructor & Destructor Documentation

BufferedReader::__construct | ( | Reader $ | in | ) |

Definition at line 26 of file BufferedReader.class.php.

## Member Function Documentation

BufferedReader::available | ( |  | ) |

Reimplemented from Reader.

Definition at line 79 of file BufferedReader.class.php.

References ensureOpen().

Referenced by read().

Here is the call graph for this function:

BufferedReader::close | ( |  | ) |

Returns:
  BufferedReader

Reimplemented from Reader.

Definition at line 42 of file BufferedReader.class.php.

static BufferedReader::create | ( | Reader $ | in | ) | `[static]`

Returns:
  BufferedReader

Definition at line 34 of file BufferedReader.class.php.

BufferedReader::ensureOpen | ( |  | ) | `[private]`

Definition at line 129 of file BufferedReader.class.php.

Referenced by available(), and read().

BufferedReader::isEof | ( |  | ) |

Reimplemented from Reader.

Definition at line 49 of file BufferedReader.class.php.

BufferedReader::mark | ( |  | ) |

Returns:
  BufferedReader

Reimplemented from Reader.

Definition at line 62 of file BufferedReader.class.php.

BufferedReader::markSupported | ( |  | ) |

Reimplemented from Reader.

Definition at line 54 of file BufferedReader.class.php.

BufferedReader::read | ( | $ | count | ) |

Reimplemented from Reader.

Definition at line 86 of file BufferedReader.class.php.

References available(), and ensureOpen().

Here is the call graph for this function:

BufferedReader::reset | ( |  | ) |

Returns:
  BufferedReader

Reimplemented from Reader.

Definition at line 72 of file BufferedReader.class.php.

## Member Data Documentation

BufferedReader::$buffer = null`[private]`

Definition at line 20 of file BufferedReader.class.php.

BufferedReader::$bufferLength = 0`[private]`

Definition at line 21 of file BufferedReader.class.php.

BufferedReader::$closed = false`[private]`

Definition at line 18 of file BufferedReader.class.php.

BufferedReader::$in = null`[private]`

Definition at line 17 of file BufferedReader.class.php.

BufferedReader::$markPosition = null`[private]`

Definition at line 24 of file BufferedReader.class.php.

BufferedReader::$position = 0`[private]`

Definition at line 23 of file BufferedReader.class.php.

The documentation for this class was generated from the following file:

- main/Utils/IO/BufferedReader.class.php